YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class LegendEvent

Package | com.yahoo.astra.fl.charts.events
Class | public class LegendEvent
Inheritance | LegendEvent flash.events.Event

Events related to a chart's legend.

See also

com.yahoo.astra.fl.charts.Legend

Public Properties

| Property | Defined by
--- | --- | ---
|  | index : int The index of the item in the legend. | LegendEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | LegendEvent(type:String, index:int, bubbles:Boolean = false, cancelable:Boolean = false) Constructor. | LegendEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | LEGEND_MARKER_CLICK : String = "legendMarkerClick" [static] Defines the value of the `type` property of an `legendMarkerClick` event object. | LegendEvent
|  | LEGEND_MARKER_DOUBLE_CLICK : String = "legendMarkerDoubleClick" [static] Defines the value of the `type` property of an `legendMarkerDoubleClick` event object. | LegendEvent
|  | LEGEND_MARKER_ROLL_OUT : String = "legendMarkerRollOut" [static] Defines the value of the `type` property of an `legendMarkerRollOut` event object. | LegendEvent
|  | LEGEND_MARKER_ROLL_OVER : String = "legendMarkerRollOver" [static] Defines the value of the `type` property of an `legendMarkerRollOver` event object. | LegendEvent

Property detail

index | property

`public var index:int`

The index of the item in the legend.

Constructor detail

LegendEvent | () | constructor

`public function LegendEvent(type:String, index:int, bubbles:Boolean = false, cancelable:Boolean = false)`

Constructor.

Parameters

| `type:String`
| `index:int`
| `bubbles:Boolean` (default = `false`)``
| `cancelable:Boolean` (default = `false`)``

Constant detail

LEGEND_MARKER_CLICK | constant

`public static const LEGEND_MARKER_CLICK:String = "legendMarkerClick"`

Defines the value of the `type` property of an `legendMarkerClick` event object.

LEGEND_MARKER_DOUBLE_CLICK | constant |

`public static const LEGEND_MARKER_DOUBLE_CLICK:String = "legendMarkerDoubleClick"`

Defines the value of the `type` property of an `legendMarkerDoubleClick` event object.

LEGEND_MARKER_ROLL_OUT | constant |

`public static const LEGEND_MARKER_ROLL_OUT:String = "legendMarkerRollOut"`

Defines the value of the `type` property of an `legendMarkerRollOut` event object.

LEGEND_MARKER_ROLL_OVER | constant |

`public static const LEGEND_MARKER_ROLL_OVER:String = "legendMarkerRollOver"`

Defines the value of the `type` property of an `legendMarkerRollOver` event object.